> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/lva/api-dokumentacija/geo-endpoints-for-spatial-data-access.md).

# Ģeo galapunkti telpisko datu piekļuvei

{% hint style="success" %}
GeoPard izmanto <https://www.ogc.org/> Open GeoSpatial Consortium datu formātus, piemēram, WMS attēliem un WFS vektordatiem. Importam un eksportam izmantojam arī shapefile failus. Dzinējs ļauj importēt un eksportēt datus jebkurā no šiem formātiem. Satelītattēliem izmantojam [COG (mākonim optimizētus GeoTIFF failus)](https://www.cogeo.org/)
{% endhint %}

{% hint style="info" %}
Lai izpildītu WMS/WFS pieprasījumus, jāinstalē Postman.
{% endhint %}

{% hint style="info" %}
Katrs pieprasījums jāparaksta, izmantojot galveni "Authorization" (kurā jāievieto tokens) vai URL parametru "geopardApiKey " (kurā jāievieto lietotāja API atslēga).
{% endhint %}

WMS API galapunkti tiek glabāti entītiju "Field", "FieldSatelliteImage", "VectorAnalysisMap", "RasterAnalysisMap", "TopographyMap", "SoilDataset" un "YieldDataset" atribūtos "geoMaps". Skatiet [GeoPard datu shēmu.](https://docs.geopard.tech/geopard-tutorials/lva/api-dokumentacija/geopard-api-data-schema.md)

WFS API galapunkti tiek glabāti entītiju "Field" un "VectorAnalysisMap" atribūtos "boundaryUrl", "zonesMapUrl" un "attributesUrl".

{% hint style="info" %}
Lai iegūtu precīzākus attēlus, iesakām izmantot projekciju EPSG:900913, nevis EPSG:3857.
{% endhint %}

<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/lva/api-dokumentacija/geo-endpoints-for-spatial-data-access.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
